[hackers] [scc] [tests] Improve chktest.sh || Roberto E. Vargas Caballero
commit db420540ad48bc0303ed2be999d0e5d0858df9f8
Author: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
AuthorDate: Thu Jun 23 11:46:40 2016 +0200
Commit: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
CommitDate: Thu Jun 23 11:55:41 2016 +0200
[tests] Improve chktest.sh
Simplify the subshell, and remove the temporal files created.
diff --git a/tests/chktest.sh b/tests/chktest.sh
index 8737db6..e7294d1 100755
--- a/tests/chktest.sh
+++ b/tests/chktest.sh
_AT_@ -1,13 +1,11 @@
#!/bin/sh
-trap 'tabs -8' 0 1 2 3 15
+trap 'tabs -8;rm -f a.out' 0 1 2 3 15
tabs 40
ulimit -c 0
for i in $_AT_
do
printf "%s\t" $i
- (set -e
- scc -m qbe "$i" && ./a.out
- ) 2>/dev/null && echo [OK] || echo [FAILED]
+ (scc -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
done
Received on Thu Jun 23 2016 - 12:21:34 CEST
This archive was generated by hypermail 2.3.0
: Thu Jun 23 2016 - 12:24:16 CEST